
function [aviFileName] = mario1

oldimg = imread('mario1.bmp');

framesPerSec = 8; 

aviFileName = 'mario1';

aviobj = avifile(aviFileName,'fps',framesPerSec); 

for count = 1:125    
    [ballRows,ballCols] = find(oldimg(:,:,1)== 255 & oldimg(:,:,2)== 0 & oldimg(:,:,3)== 0);
    newimg = oldimg;

    for i = 1:size(ballRows)
        newimg(ballRows(i), ballCols(i), :) = 255;
    end
    
    if count == 1
        xincr = 0;
        yincr = 0;
    end
    
    xincr = 5;
    yincr = 0;
    
    if count > 34 & count < 46
        yincr = -3;    
    end
    
    if count > 46 & count < 58
        yincr = 3;    
    end

    for i = 1:size(ballRows)
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 2) = 0;
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 3) = 0;
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 1) = 255;    
    end
    
    fileName = 'temp.bmp';
 
    imwrite(newimg,fileName,'bmp');
    imgObj = imread(fileName,'bmp');
    frameObj = im2frame(imgObj);  
    aviobj = addframe(aviobj,frameObj);
    frame(count) = frameObj;
    delete(fileName);    
    oldimg = newimg;
    
end

movie(frame);
aviobj = close(aviobj);