function [aviFileName] = mario2

oldimg = imread('mario2.bmp');

framesPerSec = 8; 
aviFileName = 'mario2';
aviobj = avifile(aviFileName,'fps',framesPerSec);

for count = 1:125   
    [ballRows,ballCols] = find(oldimg(:,:,1)== 255 & oldimg(:,:,2)== 0 & oldimg(:,:,3)== 0);
    newimg = oldimg;

    for i = 1:size(ballRows)
        newimg(ballRows(i), ballCols(i), :) = 255;
    end
    
    [flagRows,flagCols] = find(oldimg(:,:,1)== 0 & oldimg(:,:,2)== 255 & oldimg(:,:,3)== 0);

    size(flagRows)
    size(flagCols)
   
    if count == 1
        xincr = 0;
        yincr = 0;
    end
    
    xincr = 5;
    yincr = 0;
    
    if count > 15 & count < 24
        xincr = 0;
        yincr = -5;    
    end
    
    if count > 58 & count < 72
        xincr = 5;
        yincr = -1;    
    end

    if count > 85
        xincr = 0;
        yincr = 5;    

        for i = 1:size(flagRows)
            newimg(flagRows(i), flagCols(i), :) = 255;
        end       
        
        for i = 1:size(flagRows)
            newimg(flagRows(i) + yincr, flagCols(i) + xincr, 1) = 0;
            newimg(flagRows(i) + yincr, flagCols(i) + xincr, 3) = 0;
            newimg(flagRows(i) + yincr, flagCols(i) + xincr, 2) = 255;        
        end
    end
  
    for i = 1:size(ballRows)
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 2) = 0;
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 3) = 0;
        newimg(ballRows(i) + yincr, ballCols(i) + xincr, 1) = 255;    
    end        
    
    fileName = 'temp.bmp';
 
    imwrite(newimg,fileName,'bmp');
    imgObj = imread(fileName,'bmp');
    frameObj = im2frame(imgObj);  
    aviobj = addframe(aviobj,frameObj);
    frame(count) = frameObj;
    delete(fileName);    
    oldimg = newimg;
    
end

movie(frame);
aviobj = close(aviobj);